package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.common.pojo.enums.TypeEnums;
import com.purui.prims.headless.api.pojo.Collect;

import java.util.List;

/**
 * @author charlie
 */

public interface CollectService {

    Boolean createCollectionIndicators(User user, Collect collect);

    Boolean deleteCollectionIndicators(User user, Long id);

    Boolean deleteCollectionIndicators(User user, Collect collect);

    List<Collect> getCollectList(String username);

    List<Collect> getCollectList(String username, TypeEnums typeEnums);
}
